summaryrefslogtreecommitdiff
path: root/xtests/tst-pam_access1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'xtests/tst-pam_access1.sh')
-rwxr-xr-xxtests/tst-pam_access1.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/xtests/tst-pam_access1.sh b/xtests/tst-pam_access1.sh
new file mode 100755
index 00000000..180d2563
--- /dev/null
+++ b/xtests/tst-pam_access1.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+/usr/sbin/groupadd tstpamaccess
+/usr/sbin/useradd -G tstpamaccess -p '!!' tstpamaccess1
+./tst-pam_access1
+RET=$?
+/usr/sbin/userdel -r tstpamaccess1 2> /dev/null
+/usr/sbin/groupdel tstpamaccess 2> /dev/null
+exit $RET